import { ConnectedAircraft, Prisma, Station } from "@repo/db";
import axios from "axios";
import { serverApi } from "_helpers/axios";

export const getConnectedAircraftsAPI = async () => {
	const res = await axios.get<(ConnectedAircraft & { Station: Station })[]>("/api/aircrafts"); // return only connected aircrafts
	if (res.status !== 200) {
		throw new Error("Failed to fetch stations");
	}
	return res.data;
};

export const editConnectedAircraftAPI = async (
	id: number,
	mission: Prisma.ConnectedAircraftUpdateInput,
) => {
	const respone = await serverApi.patch<ConnectedAircraft>(`/aircrafts/${id}`, mission);
	return respone.data;
};
